export CLICOLOR=1
export COPYFILE_DISABLE=true
export COPY_EXTENDED_ATTRIBUTES_DISABLE=true
export DISABLE_AUTO_TITLE=true
export EDITOR="/opt/homebrew/bin/nvim"
export LANG=en_US.UTF-8
export LC_ALL=en_US.UTF-8
export LC_CTYPE=$LANG
export LC_COLLATE=C
export LESS="-F -i -J -M -R -W -x2 -X -z-4"
export MANPATH=/opt/homebrew/share/man:$MANPATH
export PAGER="less -F -i -J -M -R -W -x2 -X -z-4"
export PATH=/opt/homebrew/bin:$PATH
export PATH=/opt/homebrew/sbin:$PATH
export PATH=/opt/homebrew/opt/curl/bin:$PATH
export PATH=~/.local/bin:$PATH
export PATH=~/.composer/vendor/bin:$PATH
export SHELL=/opt/homebrew/bin/zsh
export TERM=xterm-256color
export VISUAL="/opt/homebrew/bin/nvim"

# ripgrep
export RIPGREP_CONFIG_PATH="$HOME/dotfiles/ripgreprc"

# brew
export HOMEBREW_CASK_OPTS="--appdir=/Applications"
export HOMEBREW_NO_ENV_HINTS=true

# nnn
export NNN_OPTS='deHR'
export NNN_BMS='a:~/Sites;s:~/Dotfiles;d:~/Downloads;h:~/'
export NNN_FCOLORS='c1e26c2e006033f5c6d6abc4'
export NNN_PLUG='p:preview-tui;j:autojump'
export NNN_FIFO='/tmp/nnn.fifo'
export NNN_TRASH=0
export NNN_ARCHIVE="\\.(7z|bz|bz2|gz|rar|rpm|tar|tgz|zip)$"

# pyenv
export PYENV_ROOT="$HOME/.pyenv"
export PATH="$PYENV_ROOT/bin:$PATH"

# fzf colors
export FZF_DEFAULT_COMMAND="rg --files --hidden --follow --glob '!.git'"
export FZF_DEFAULT_OPTS="${FZF_DEFAULT_OPTS} ${FZF_THEME}"

# n node version management
export N_PREFIX="$HOME/n"; [[ :$PATH: == *":$N_PREFIX/bin:"* ]] || PATH+=":$N_PREFIX/bin"  # Added by n-install (see http://git.io/n-install-repo).

# lazygit
export LG_CONFIG_FILE="/Users/webgefrickel/.config/lazygit/config.yml"
